<div class="login-wrapper">
    <mat-card class="example-card">
    <mat-card-header>
      <mat-card-title>Login</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <form class="example-form">
              <mat-form-field class="example-full-width">
              <input matInput placeholder="Username" name="username" [(ngModel)] = "admin.name" required>
              </mat-form-field>
         
         <mat-form-field class="example-full-width">
            <input matInput placeholder="Password" type="password" name="password" [(ngModel)] = "admin.password" required>
          </mat-form-field>
    
      </form>
    
    </mat-card-content>
    <mat-card-actions>
      <button mat-raised-button color="primary" (click) = 'authenticateUser()'>Login</button>
    </mat-card-actions>
  </mat-card>
  </div>